Subject: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Apr 2019 12:42:38 +0300

> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 22 Apr 2019 12:24:11 +0300
> 
> It's not hard to fix, but it seems to do that we'll have to give mouse-2 
> a different binding from what it has now. Which is also a breaking 
> change (in Xref).

I'm not sure I follow: currently, mouse-2 does "follow the link"
already, and I believe this bug report will be satisfied if we cause
mouse-1 to do the same when mouse-1-click-follows-link is in effect.
And mouse-1 is not currently bound in Xref buffers.

So how would fixing this constitute a breaking change?